osl::eval::ml::King25EmptyAbs< Opening > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::eval::ml::King25EmptyAbs< Opening > Class Template Reference

`#include <kingTable.h>`

Inheritance diagram for osl::eval::ml::King25EmptyAbs< Opening >:
[legend]
Collaboration diagram for osl::eval::ml::King25EmptyAbs< Opening >:
[legend]

## Public Types
enum | { DIM = 5 * 5 * 5 * 9 }

## Public Member Functions
template<osl::Player player>
int | index (Square king, Square target)
template<osl::Player Defense>
int | evalOne (const osl::state::NumEffectState &state)

## Static Public Member Functions
static int | evalWithUpdate (const NumEffectState &state, osl::Move moved, int last_value)
static void | setUp (const Weights &weigths)
static int | eval (const osl::state::NumEffectState &state)

## Static Private Member Functions
template<Player player>
static int | index (Square king, Square target)
static int | index (Square king, Square target, Player player)
template<Player Defense>
static int | evalOne (const osl::state::NumEffectState &state)

## Static Private Attributes
static CArray< int, 1125 > | table

## Detailed Description

### template<bool Opening>
class osl::eval::ml::King25EmptyAbs< Opening >

Definition at line 469 of file kingTable.h.

## Member Enumeration Documentation

template<bool Opening>

anonymous enum

Enumerator
DIM |

Definition at line 472 of file kingTable.h.

## Member Function Documentation

template<bool Opening>

int osl::eval::ml::King25EmptyAbs< Opening >::eval | ( | const osl::state::NumEffectState & | state) |  |
| static

Definition at line 1147 of file kingTable.cc.

template<bool Opening>
template<Player Defense>

static int osl::eval::ml::King25EmptyAbs< Opening >::evalOne | ( | const osl::state::NumEffectState & | state) |  |
| staticprivate

template<bool Opening>
template<osl::Player Defense>

int osl::eval::ml::King25EmptyAbs< Opening >::evalOne | ( | const osl::state::NumEffectState & | state) |  |

Definition at line 1120 of file kingTable.cc.

References osl::BLACK, osl::Piece::isEmpty(), osl::Square::isOnBoard(), osl::state::SimpleState::kingSquare(), osl::eval::max(), osl::eval::min(), osl::state::SimpleState::pieceAt(), result, target, osl::Square::x(), and osl::Square::y().

template<bool Opening>

int osl::eval::ml::King25EmptyAbs< Opening >::evalWithUpdate | ( | const NumEffectState & | state,
|  | osl::Move | moved,
|  | int | last_value
| ) |  |
| static

Definition at line 1154 of file kingTable.cc.

References osl::alt(), osl::BLACK, osl::captured(), osl::Move::capturePtype(), osl::Move::from(), osl::Move::isDrop(), osl::KING, osl::state::SimpleState::kingSquare(), osl::Move::player(), osl::Move::ptype(), osl::PTYPE_EMPTY, result, osl::Move::to(), osl::Square::x(), and osl::Square::y().

template<bool Opening>
template<Player player>

static int osl::eval::ml::King25EmptyAbs< Opening >::index | ( | Square | king,
|  | Square | target
| ) |  |
| staticprivate

template<bool Opening>

static int osl::eval::ml::King25EmptyAbs< Opening >::index | ( | Square | king,
|  | Square | target,
|  | Player | player
| ) |  |
| inlinestaticprivate

Definition at line 478 of file kingTable.h.

template<bool Opening>
template<osl::Player player>

int osl::eval::ml::King25EmptyAbs< Opening >::index | ( | Square | king,
|  | Square | target
| ) |  |

Definition at line 1096 of file kingTable.cc.

References osl::BLACK, osl::WHITE, osl::Square::x(), and osl::Square::y().

template<bool Opening>

void osl::eval::ml::King25EmptyAbs< Opening >::setUp | ( | const Weights & | weigths) |  |
| static

Definition at line 1086 of file kingTable.cc.

References osl::eval::ml::Weights::dimension(), and osl::eval::ml::Weights::value().

## Member Data Documentation

template<bool Opening>

osl::misc::CArray< int, 1125 > osl::eval::ml::King25EmptyAbs< Opening >::table
| staticprivate

Definition at line 474 of file kingTable.h.

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc